Cross Reference Lookups

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • crossReferenceLookupValues

  • crossReferenceLookupValues_count

  • crossReferenceLookupValuesExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • cross_reference_lookups.id

  • cross_reference_lookups.cross_reference_lookup_template_id

  • cross_reference_lookups.name

  • cross_reference_lookups.description

  • cross_reference_lookups.default_value

  • cross_reference_lookups.created_at

  • cross_reference_lookups.updated_at

  • cross_reference_lookups.deleted_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

default_value

Authorizations
Body
descriptionstringRequired
default_valuestring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/cross-reference-lookups

Install

post

Install for install.

Authorizations
Path parameters
crossReferenceLookupTemplatestringRequired

The crossReferenceLookupTemplate identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{crossReferenceLookupTemplate}/install

Upload

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

private

Authorizations
Path parameters
crossReferenceLookupstringRequired

The crossReferenceLookup identifier.

Body
privatestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{crossReferenceLookup}/upload

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • crossReferenceLookupValues

  • crossReferenceLookupValues_count

  • crossReferenceLookupValuesExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • cross_reference_lookups.id

  • cross_reference_lookups.cross_reference_lookup_template_id

  • cross_reference_lookups.name

  • cross_reference_lookups.description

  • cross_reference_lookups.default_value

  • cross_reference_lookups.created_at

  • cross_reference_lookups.updated_at

  • cross_reference_lookups.deleted_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

default_value

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
descriptionstringOptional
default_valuestring · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Destroy

delete

Delete a cross reference lookup.

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Clear

post

Clear for clear.

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/clear

No content

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • cross_reference_lookup_id

  • left_value

  • right_value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • cross_reference_lookup_id

  • left_value

  • right_value

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

left_value

right_value

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values

Import

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

values_file

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
values_filestringRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/import

Show

get

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • cross_reference_lookup_id

  • left_value

  • right_value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • cross_reference_lookup_id

  • left_value

  • right_value

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

left_value

right_value

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Destroy

delete

Delete a cross reference lookup value.

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Download

get

Download for download.

Authorizations
Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/download

Last updated

Was this helpful?